routes/web.php
<?php

//    use App\User;

//    use App\News;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//    Route::group(['middleware' => ['web']], function () {
        Auth::routes();
//    });
Route::get('/', 'WelcomeController@index')->name('home');
    Route::post('/feedback', 'WelcomeController@feedback')->name('feedback');
Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function (){

    Route::group(['namespace' => '\Inani\Larapoll\Http\Controllers'], function(){

        Route::middleware(["role:author,editor,admin,super_admin"])->group(function () {
            Route::get('/polls', ['uses' => 'PollManagerController@index', 'as' => 'poll.index']);
            Route::get('/polls/home', ['uses' => 'PollManagerController@home', 'as' => 'poll.home']);
            Route::get('/polls/create', ['uses' => 'PollManagerController@create', 'as' => 'poll.create']);
            Route::get('/polls/{poll}', ['uses' => 'PollManagerController@edit', 'as' => 'poll.edit']);
            Route::patch('/polls/{poll}', ['uses' => 'PollManagerController@update', 'as' => 'poll.update']);
            Route::delete('/polls/{poll}', ['uses' => 'PollManagerController@remove', 'as' => 'poll.remove']);
            Route::patch('/polls/{poll}/lock', ['uses' => 'PollManagerController@lock', 'as' => 'poll.lock']);
            Route::patch('/polls/{poll}/unlock', ['uses' => 'PollManagerController@unlock', 'as' => 'poll.unlock']);
            Route::post('/polls', ['uses' => 'PollManagerController@store', 'as' => 'poll.store']);
            Route::get('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@push', 'as' => 'poll.options.push']);
            Route::post('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@add', 'as' => 'poll.options.add']);
            Route::get('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@delete', 'as' => 'poll.options.remove']);
            Route::delete('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@remove', 'as' => 'poll.options.remove']);
        });

        Route::post('/vote/polls/{poll}', 'VoteManagerController@vote')->name('poll.vote');
    });


    Route::get('/', 'HomeController@index')->name('admin');
//    Route::get('/admin/chart', 'HomeController@chart')->name('admin.chart');
//    Route::get('/admin/users/{user}/reset', 'UsersController@resetscore')->name('admin.score.reset')->middleware('role:user,super_user,admin,super_admin');

//    Route::group(['middleware' => ['pay,role:super_admin']], function () {
//        Route::get('/admin/users/{user}/parent/add', 'UsersController@parentScoreAdd')->name('admin.score.add');
//        Route::get('/admin/users/{user}/parent/remove', 'UsersController@parentScoreRemove')->name('admin.score.remove');
//        Route::get('/admin/users/{user}/parent/score/{score}', 'UsersController@parentScoreToChild')->name('parent.score');
//    });

//    Route::put('/admin/users/{user}/assign', 'UsersController@assigned')->name('users.assigned')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/admin/users/{user}/assign', 'UsersController@assign')->name('users.assign')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::put('/exams/{test}/assigned_pupil', 'UsersController@assigned_pupil')->name('users.assigned.pupil')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/exams/{test}/assign_pupil', 'UsersController@assign_pupil')->name('users.assign.pupil')->middleware('role:super_user,author,editor,admin,super_admin');

    Route::resource('/pages', 'PagesController')->middleware('role:author,editor,admin,super_admin');
    Route::resource('/news', 'NewsController')->middleware('role:author,editor,admin,super_admin');

    Route::resource('/users', 'UsersController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');

    Route::get('/profile', 'UsersController@editCurrent')->name('profile.edit')->middleware('auth');
    Route::put('/profile', 'UsersController@updateCurrent')->name('profile.update')->middleware('auth');

    Route::resource('/adress', 'AdressController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');


    Route::get('/users/new', 'UsersController@create')->middleware('role:admin,super_admin');

    Route::delete('/users/{user}', 'UsersController@destroy')->name('users.destroy')->middleware('role:admin,super_admin');
    Route::resource('/roles', 'RolesController')->middleware('role:super_admin');
    Route::resource('/topics', 'TopicController')->middleware('role:admin,super_admin');

//    Route::resource('/admin/tests', 'TestsController')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::resource('/admin/questions', 'QuestionController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/questions/create/{test_id}', 'QuestionController@create')->name('questions.create')->middleware('role:author,editor,admin,super_admin');

//    Route::resource('/admin/answers', 'AnswerController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/answers/create/{question_id}', 'AnswerController@create')->name('answers.create')->middleware('role:author,editor,admin,super_admin');

//    Route::get('/testing/exams', 'TestStartController@list')->name('exams.list')->middleware('role:super_user,admin,super_admin');
//    Route::get('/testing/exams/result/{id}', function ($id) {
//        $test = \App\TestCompleted::find($id);
//        return view('tests.result', ['test' => $test]);
//    })->name('exams.result');//->middleware('role:super_user,admin,super_admin');
//    Route::post('/testing/exams/{id}/control', 'TestStartController@control')->name('exams.control')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
//    Route::get('/testing/exams/{id}/start', 'TestStartController@execute')->name('exams.start')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
});
//=======================================================
//Route::get('clear-cache', function() {
//
//    Artisan::call('cache:clear');
//    return "Кэш очищен!";
//
//});

//Route::get('lang/{locale}', function ($locale) {
//
//    if (in_array($locale, \Config::get('app.locales'))) {
//        Session::put('locale', $locale);
//    }
//
//    return redirect()->back();
//
//});
//    Route::get('contact', function () {
//        return view('contact');
//    })->name('contact');
//    ===========================================
Route::get('{slug}', 'PagesController@showBySlug')->name('pages.slug');
Route::get('news/{slug}', 'NewsController@showBySlug')->name('news.slug');
//Route::get('contact', function () {
//    return view('contact');
//})->name('contact');


//
//Route::get('url/generate-shorten-link', 'ShortLinkController@index')->middleware('role:admin,super_admin');
//Route::post('url/generate-shorten-link', 'ShortLinkController@store')->name('generate.shorten.link.post')->middleware('role:admin,super_admin');
//
//Route::get('url/{code}', 'ShortLinkController@shortenLink')->name('shorten.link')->middleware('role:user');

resources/views/contact.blade.php
@extends('layouts.design')

@section('menu_left')
    @foreach(Page::orderBy('order', 'ASC')->get()->where('menu_header', 'on') as $page)
        <a class="nav__link" href="/{{ $page->slug }}">{{ $page->title }}</a>
    @endforeach
@endsection

@section('content')
    <section class="contacts">
    <div class="contacts__title">
        <h1>Контакты</h1>
    </div>
    <div class="contacts-module">
        <div class="contacts-module__title">
            <h2>Экстренные службы</h2>
        </div>
        <div class="contacts-module-phone">
            <h4>Пожарная охрана</h4>
            <a href="tel:+101">101</a>
            <p class="lighter">Разнообразный и богатый опыт новая модель организационной деятельности требуют от нас анализа системы обучения кадров, соответствует насущным потребностям. </p>
        </div>
        <div class="contacts-module-phone">
            <h4>Полиция</h4>
            <a href="tel:+102">102</a>
            <p class="lighter">Разнообразный и богатый опыт новая модель организационной деятельности требуют от нас анализа системы обучения кадров, соответствует насущным потребностям. </p>
        </div>
        <div class="contacts-module-phone">
            <h4>Скорая помощь</h4>
            <a href="tel:+103">103</a>
            <p class="lighter">Разнообразный и богатый опыт новая модель организационной деятельности требуют от нас анализа системы обучения кадров, соответствует насущным потребностям. </p>
        </div>
        <div class="contacts-module-phone">
            <h4>Аварийная служба газа</h4>
            <a href="tel:+104">104</a>
            <p class="lighter">Разнообразный и богатый опыт новая модель организационной деятельности требуют от нас анализа системы обучения кадров, соответствует насущным потребностям. </p>
        </div>
        <div class="contacts-module-phone">
            <h4>Экстренная помощь (МЧС)</h4>
            <a href="tel:+112">112</a>
            <p class="lighter">Разнообразный и богатый опыт новая модель организационной деятельности требуют от нас анализа системы обучения кадров, соответствует насущным потребностям. </p>
        </div>
    </div>
    <div class="contacts-module" style="display: none">
        <div class="contacts-module__title">
            <h2>Госучереждения</h2>
            <div class="switcher">
                <label for="switcherId">Карта</label>
                <input type="checkbox" id="switcherId">
                <label for="switcherId">Список</label>
            </div>
        </div>
        <div class="contacts-module-map">
            <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d23260.79652515375!2d27.90781025!3d43.21788755!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sbg!4v1591284663934!5m2!1sen!2sbg" width="100%" height="100%" frameborder="0" style="border:0;"
                    allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
        </div>
    </div>
</section>
@endsection

resources/views/home.blade.php
@extends('layouts.admin')

@section('content')

    <section class="admin-panel-content">
        {{--        <form class="admin-panel-content__search">--}}
        {{--            <input type="text" placeholder="Поиск...">--}}
        {{--        </form>--}}
        {{--        <div class="news-table">--}}
        {{--            <div class="news-table__heading">--}}
        {{--                <h3>В работе</h3>--}}
        {{--                <a href="#" class="news-table__heading-new">--}}
        {{--                    <svg class="icon icon-plus">--}}
        {{--                        <use xlink:href="/design/img/sprites/main-sprite.svg#icon-plus"></use>--}}
        {{--                    </svg>--}}
        {{--                    <span>Новая</span>--}}
        {{--                </a>--}}
        {{--            </div>--}}
        {{--            <div class="news-table-content">--}}
        {{--                <table>--}}
        {{--                    <thead>--}}
        {{--                    <tr>--}}
        {{--                        <td>Статус</td>--}}
        {{--                        <td>Заголовок</td>--}}
        {{--                        <td>Редактор</td>--}}
        {{--                        <td>Создан</td>--}}
        {{--                        <td></td>--}}
        {{--                    </tr>--}}
        {{--                    </thead>--}}
        {{--                    <tbody>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Идейные соображения высшего порядка</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    </tbody>--}}
        {{--                </table>--}}
        {{--            </div>--}}
        {{--        </div>--}}
        <div class="news-table">
            <div class="news-table__heading">
                <h3>Опубликовано</h3>
                <a href="#" class="news-table__heading-new">
                    <svg class="icon icon-plus">
                        <use xlink:href="./img/sprites/main-sprite.svg#icon-plus"></use>
                    </svg>
                    <span>Новая</span>
                </a>
{{--                <div class="select news-table__heading-sort">--}}
                    {{--                    <select>--}}
                    {{--                        <option>Пример 1</option>--}}
                    {{--                        <option>Пример 2</option>--}}
                    {{--                        <option>Пример 3</option>--}}
                    {{--                    </select>--}}
{{--                </div>--}}
            </div>
            <div class="news-table-content">
                <table>
                    <thead>
                    <tr>
                                                <td>Статус</td>
                        <td>Заголовок</td>
                        <td>Редактор</td>
                        <td>Создан</td>
                        <td></td>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($news as $new)
                        <tr>
                            <td>Опубликовано</td>
                            <td>
                                <a href="/news/{{ $new->slug }}">{{ $new->title }}</a>
                                <span>{{ \App\Category::find($new->category_id)->name }}</span>
                            </td>
                            <td>
                                {{ $new->user_id }}
                            </td>
                            <td>{{ $new->created_at }}</td>
                            <td>
                        <span class="news-table-more">
                            <a href="#pixel" class="news-table-more__trigger">
                                <svg class="icon icon-more">
                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>
                                </svg>
                            </a>
                            <span class="news-table-more__popup">
                                <a href="{{ route('news.edit', $new) }}">Редактировать</a>
{{--                                <a href="#">Снять с публикации</a>--}}
                            </span>
                        </span>
                            </td>
                        </tr>
                    @endforeach


                    </tbody>
                </table>
            </div>
        </div>
    </section>

@endsection

resources/views/result.blade.php
@section('content')
{{--    {{ dd($options) }}--}}
<h3>{{ $question }}</h3>
    @foreach ($options as $option)
        <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: {{ $option->percent }}%" aria-valuenow="{{ $option->percent }}" aria-valuemin="0" aria-valuemax="100">{{ $option->name }}</div>
        </div>
    @endforeach

@endsection

resources/views/search.blade.php
@extends('layouts.design')
@section('menu_left')
    @include('layouts.menu_left')
@endsection

@section('sidebar_right')
    @include('layouts.menu_right')
@endsection

@section('title')
    {{ config('app.name') }}
@stop

@section('keywords')

@stop

@section('description')

@stop

@section('content')
    <div class="news" id="post-data">
        @if ($news->count())
            @include('news.data')
            <div class="ajax-load text-center" style="display:none">
                <p><img src="/design/img/loader.gif">Загрузка новостей</p>
            </div>
        @else
            Новостей не найдено
        @endif

    </div>

@endsection

@section('script')
    <script type="text/javascript">
        var page = 1;
        var loaderFlag = true;

        $(window).scroll(function () {
            if (loaderFlag)
                if ($(window).scrollTop() + $(window).height() >= $(document).height() - 200) {
                    page++;
                    loadMoreData(page);
                }
        });

        function loadMoreData(page) {
            $.ajax(
                {
                    url: '?page=' + page,
                    type: "get",
                    beforeSend: function () {
                        $('.ajax-load').show();
                    }
                })
                .done(function (data) {
                    if (data.html == "" || data.html == " ") {
                        $('.ajax-load').html("Больше новостей нет.");
                        loaderFlag = false;
                        return;
                    }
                    $('.ajax-load').hide();
                    $("#post-data").append(data.html);
                })
                .fail(function (jqXHR, ajaxOptions, thrownError) {
                    alert('сервер не отвечает...');
                });
        }
    </script>

    <style type="text/css">
        .ajax-load {
            background: #fff;
            padding: 10px 0px;
            width: 100%;
        }
    </style>
@endsection

@section('script')
    <script type="text/javascript">
        var page = 1;
        var loaderFlag = true;
        // $(document).ready(function () {
        //     $('.sidebar__poll_nav_show').html($('.sidebar__poll_item').parent().find('.sidebar__poll_item active'));
        // });

        $(window).scroll(function () {
            if (loaderFlag)
                if ($(window).scrollTop() + $(window).height() >= $(document).height() - 200) {
                    page++;
                    loadMoreData(page);
                }
        });

        function loadMoreData(page) {
            $.ajax(
                {
                    url: '?q={{ Request::get('q') }}&page=' + page,
                    type: "get",
                    beforeSend: function () {
                        $('.ajax-load').show();
                    }
                })
                .done(function (data) {
                    if (data.html == "" || data.html == " ") {
                        $('.ajax-load').html("Больше новостей нет.");
                        loaderFlag = false;
                        return;
                    }
                    $('.ajax-load').hide();
                    $("#post-data").append(data.html);
                })
                .fail(function (jqXHR, ajaxOptions, thrownError) {
                    alert('сервер не отвечает...');
                });
        }
    </script>

    <style type="text/css">
        .ajax-load {
            background: #fff;
            padding: 10px 0px;
            width: 100%;
        }
    </style>
@endsection

resources/views/shortenLink.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="card">
        <div class="card-header">
            <form method="POST" action="{{ route('generate.shorten.link.post') }}">
                @csrf
                <div class="input-group mb-3">
                    <input type="text" name="link" class="form-control" placeholder="Введите URL" aria-label="Recipient's username" aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <button class="btn btn-success" type="submit">Создать короткую ссылку</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="card-body">

            @if (Session::has('success'))
                <div class="alert alert-success">
                    <p>{{ Session::get('success') }}</p>
                </div>
            @endif

            <table class="table table-bordered table-sm">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Короткая ссылка</th>
                    <th>Ссылка</th>
                </tr>
                </thead>
                <tbody>
                @foreach($shortLinks as $row)
                    <tr>
                        <td>{{ $row->id }}</td>
                        <td><a href="{{ route('shorten.link', $row->code) }}" target="_blank">{{ route('shorten.link', $row->code) }}</a></td>
                        <td>{{ $row->link }}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection